Skip to main content
`Ctrl`+`K`

# PetscObjectComposedDataSetReal

attach `PetscReal` data to a `PetscObject` that may be later accessed with `PetscObjectComposedDataGetReal()`

## Synopsis

    #include "petsc/private/petscimpl.h"
    PetscErrorCode PetscObjectComposedDataSetReal(PetscObject obj, PetscInt id, PetscReal data)

Not Collective

## Input Parameters

- obj - the object to which data is to be attached

- id - the identifier for the data

- data - the data to be attached, a `PetscReal`

## Note

The `data` identifier can be determined through a call to `PetscObjectComposedDataRegister()`

## See Also

`PetscObjectComposedDataSetInt()`, `PetscObjectComposedDataGetReal()`, `PetscObjectComposedDataSetIntstar()`, `PetscObjectComposedDataSetIntstar()`, `PetscObjectComposedDataGetInt()`, `PetscObject`, `PetscObjectCompose()`, `PetscObjectQuery()`

## Level

developer

## Location

include/petsc/private/petscimpl.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages